Name:          seam-parent
Version:       19
Release:       6%{?dist}
Summary:       The parent for Seam modules
License:       ASL 2.0
URL:           http://www.seamframework.org/
Source0:       https://github.com/seam/parent/archive/%{version}.tar.gz
# seam-parent package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: maven-local
BuildArch:     noarch

%description
Parent for seamframework.org Projects.

%prep
%setup -q -n parent-%{version}

%pom_remove_dep junit:junit-dep
%pom_remove_dep org.jboss.arquillian.extension:arquillian-drone-bom
%pom_remove_dep org.jboss.arquillian:arquillian-bom
%pom_remove_dep org.apache.openwebbeans:openwebbeans

%pom_remove_plugin org.codehaus.mojo:emma-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.codehaus.mojo:jboss-maven-plugin
%pom_remove_plugin org.codehaus.mojo:selenium-maven-plugin
%pom_remove_plugin org.codehaus.mojo:tomcat-maven-plugin

%pom_remove_plugin org.jboss.arquillian.maven:arquillian-maven-plugin
%pom_remove_plugin org.mortbay.jetty:maven-jetty-plugin
%pom_remove_plugin org.sonatype.maven.plugin:emma4it-maven-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-maven-plugin

%pom_remove_plugin org.jboss.maven.plugins:maven-jdocbook-plugin
%pom_remove_plugin org.glassfish:maven-embedded-glassfish-plugin
%pom_remove_plugin org.jboss.maven.plugins:maven-javadoc-plugin

sed -i "s|<artifactId>failsafe-maven-plugin|<artifactId>maven-failsafe-plugin|" pom.xml

# https://bugzilla.redhat.com/show_bug.cgi?id=837589
# org.codehaus.cargo:cargo-maven2-plugin

# ch.qos.cal10n.plugins:maven-cal10n-plugin

# removed modules used only for testing (unavailable example and test dependencies)
%pom_xpath_remove pom:modules
rm -r test settings.xml

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 02 2013 gil cattaneo <puntogil@libero.it> 19-5
- build with XMvn
- minor changes to adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 19-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jan 04 2013 gil cattaneo <puntogil@libero.it> 19-2
- rebuilt

* Sun Nov 18 2012 gil cattaneo <puntogil@libero.it> 19-1
- initial rpm